package m05bTiposReformaEJB;

import java.rmi.RemoteException;

import javax.ejb.EJBObject;

import m05bBD.m05bTiposReforma;


/**
 * This is the Remote Interface for the Entity EJB <tt>M05TiposreformaEB</tt>.
 *
 * @see     m05.exe.Tiposreforma
 * @see     m05.exe.M05TiposreformaEBHome
 * @see     m05.exe.M05TiposreformaEBPK
 * @see     m05.exe.M05TiposreformaEBBean
 */
public interface m05TiposReforma extends EJBObject{

  public String getTrf_codigo()throws RemoteException;
  public void setTrf_codigo(String n)throws RemoteException;

  public String getTrf_descripcion()throws RemoteException;
  public void setTrf_descripcion(String n)throws RemoteException;
  public String getTrf_descripcionEu()throws RemoteException;
  public void setTrf_descripcionEu(String n)throws RemoteException;

  /**
   * Returns the TiposReforma information of this E-EJB.
   */
  public m05bTiposReforma getTiposReforma()
    throws RemoteException;

  /**
   * Sets the Parametro information of this E-EJB.
   * @exception P2GException
   *              If the given TiposReforma <tt>mod_id</tt> field
   *              does not match the primary key that is in the E-EJB.
   */


}